Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.navigation
Class Rule

    java.lang.Object
      org.jboss.seam.navigation.Rule

    public final class Rule

extends Object

Metadata for an <rule/> in pages.xml

Author:
  Gavin King

Constructor Summary
`Rule()`

Method Summary
`void` | `addEventType(String eventType)`
`void` | `addNavigationHandler(NavigationHandler navigationHandler)`
`boolean` | `execute(javax.faces.context.FacesContext context)`
`Expressions.ValueExpression` | `getCondition()`
`ConversationControl` | `getConversationControl()`
`List<String>` | `getEventTypes()`
`List<NavigationHandler>` | `getNavigationHandlers()`
`String` | `getOutcomeValue()`
`List<Output>` | `getOutputs()`
`ProcessControl` | `getProcessControl()`
`TaskControl` | `getTaskControl()`
`boolean` | `matches(String actualValue)`
`void` | `setCondition(Expressions.ValueExpression expression)`
`void` | `setOutcomeValue(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rule

    public Rule()

Method Detail

### matches

    public boolean matches(String actualValue)

### getNavigationHandlers

    public List<NavigationHandler> getNavigationHandlers()

### addNavigationHandler

    public void addNavigationHandler(NavigationHandler navigationHandler)

### getConversationControl

    public ConversationControl getConversationControl()

### getTaskControl

    public TaskControl getTaskControl()

### getProcessControl

    public ProcessControl getProcessControl()

### getCondition

    public Expressions.ValueExpression getCondition()

### setCondition

    public void setCondition(Expressions.ValueExpression expression)

### getOutcomeValue

    public String getOutcomeValue()

### setOutcomeValue

    public void setOutcomeValue(String value)

### getOutputs

    public List<Output> getOutputs()

### execute

    public boolean execute(javax.faces.context.FacesContext context)

### getEventTypes

    public List<String> getEventTypes()

### addEventType

    public void addEventType(String eventType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.